5 Replies Latest reply on Aug 8, 2008 6:07 AM by jaikiran pai

    error when starting jboss AS(jboss-5.0.0.CR1) under jdk1.60_

    Lau Eddy Newbie

      Hi buddies,

      I got the follow error when trying to start the server (version:jboss-5.0.0.CR1) under jdk1.60_03.

      15:50:21,406 ERROR [AbstractKernelController] Error installing to Create: name=M
      anagedConnectionFactoryParserDeployer state=Configured
      java.lang.LinkageError: JAXB 2.0 API is being loaded from the bootstrap classloa
      der, but this RI (from vfszip:/C:/jboss-5.0.0.CR1/lib/jaxb-impl.jar/com/sun/xml/
      bind/v2/model/impl/ModelBuilder.class) needs 2.1 API. Use the endorsed directory
      mechanism to place jaxb-api.jar in the bootstrap classloader. (See http://java.
      sun.com/j2se/1.5.0/docs/guide/standards/)
      at com.sun.xml.bind.v2.model.impl.ModelBuilder.(ModelBuilder.jav
      a:173)
      at com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(JAXBContex
      tImpl.java:422)........................................

      Don't know how to tackle it!

      Is it jboss problem or jdk1.6 problem.(note:no problem when using jboss-4.2.3.GA.)

      Anybody can help?

      Thanks

      Eddy